<?php
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
$tmp = explode("/index.php", $_SERVER['PHP_SELF']);
$base = $tmp[0] . "/libraries/";
$root = $tmp[0];
$lib = dirname(__FILE__) . '/lib/rgraph_chart.php';
require_once ($lib);
$lib = dirname(__FILE__) . '/lib/util.php';
require_once ($lib);

// rgraph charts
$template = "template_test2.php";
$id = "cvs";
$draw_option = "draw();";
$width = "550";
$height = "400";

$x_values = array(156,157,159,160,161,162,165,170,170,173,173,177,177,178,184,188,188,188,188,188,194,196,200);
$y_values = array(162,160,162,155,162,170,166,170,167,185,176,173,176,178,180,188,187,182,181,192,193,184,186);


// chart1
$chart1 = new rgraph_chart("cvs", null, "Scatter");
$data = $chart1->createScatterData($x_values, $y_values, null, $y_values );
$chart1->set_data($data);

$options1 = new rgraph_options("bar_3d.ini");
$options1->set_option("title","Body Size versus Length of Arms");
$options1->set_option("labels", $options1->xlabelsteps($x_values, 2));
$options1->set_option("backgroundGridAutofitNumvlines", 10);
$options1->set_option("xmin", 150);
$options1->set_option("xmax", 203);
$options1->set_option("ymin", 150);
$options1->set_option("unitsPost"," cm");
$options1->set_option("titleYaxis","Body Size");
$options1->set_option("titleXaxis","Length of Arms in cm");
$options1->set_option("titleXaxisPos",0.60);
$options1->set_option("titleYaxisPos",0.30);
//$options1->set_tooltip($data, "#val#");
$options1->get_option("dummy",0);

$chart1->set_options($options1);
$chart1_json = $chart1->toPrettyString();

$event1_script = "";
$chart1_script = "";
//
// chart2 Regression with line
$chart2 = new rgraph_chart("cvs", null, "Scatter");

$result = calculate_Regression($x_values, $y_values, null, "c", 2);
$data = $result['values'];
$chart2->set_data($data);

$options2 = new rgraph_options();
//$options2->set_option("labels", $options2->xlabelsteps($x_values, 2));
$options2->set_option("xmin", 150);
$options2->set_option("xmax", 203);
$options2->set_option("ymin", 150);
$options2->set_option("line",true);
$options2->set_option("backgroundGrid", false);
$options2->set_option("ylabels", false);
$options2->set_option("noaxes", true);
$options2->set_option("tickmarks",null);

$chart2->set_options($options2);
$chart2_json = $chart2->toPrettyString();

$event2_script = "";
$chart2_script = "";

include_once dirname(__FILE__) . '/templates/' . $template;
?>


