function measure_speed(host) {

	jQuery("#start-button").prop('disabled', true);

	InitiateSpeedDetection();
	// var imageAddr =
	// 'http://www.jschmidt-systemberatung.de/images/31120037-5mb.jpg';
	//alert(document.documentElement.clientWidth);
	var imageAddr = 'http://' + host
			+ 'RGraph/images/31120037-5mb.jpg';
	var downloadSize = 4995374; // bytes

	function InitiateSpeedDetection() {
		// postMessage('Loading the image, please wait...');
		// alert ('loading');
		this.setTimeout(MeasureConnectionSpeed, 1);
	}
	;

	if (window.addEventListener) {
		window.addEventListener('load', InitiateSpeedDetection, false);
	} else if (window.attachEvent) {
		window.attachEvent('onload', InitiateSpeedDetection);
	}

	function MeasureConnectionSpeed() {

		var startTime, endTime;
		var download = new Image();
		download.onload = function() {
			endTime = (new Date()).getTime();
			showResults();
		}

		download.onerror = function(err, msg) {
			alert('Invalid image, or error downloading');
		}

		startTime = (new Date()).getTime();
		var cacheBuster = '?nnn=' + startTime;
		download.src = imageAddr + cacheBuster;

		function showResults() {
			var duration = (endTime - startTime) / 1000;
			var bitsLoaded = downloadSize * 8;
			var speedBps = (bitsLoaded / duration);
			var speedKbps = (speedBps / 1024);
			var speedMbps = (speedKbps / 1024);
			speedMbps = (1.1 * speedMbps).toFixed(2);
			jQuery("#start-button").prop('disabled', false);
			// alert('result ' + speedMbps);
			postMessage(speedMbps, '*');

		}
	}
}