<?php
/**
 * @filesource: odometer.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$id = "cvs";
$draw_option = "draw();";
$width = "500";
$height = "350";

$chart = new rgraph_chart("cvs", null, "Odometer");
$chart->set_min(0);
$chart->set_max(100);
$chart->set_value(45);
$options = new rgraph_options();

$chart->set_options($options);
$rgraph_json = $chart->toString();

$event_script = "";
$chart_script = "";

include_once ($templates . $template);
?>



