<?php
header('Content-type: application/json');
// header('Content-type: text/html');
$key = "1ncvARBgXaDjzuca9i7Jyep6JTv9kms-bbIzyAxbaT0E";
var_dump(getsheetData($key, 12, true));

function getsheetData ($key, $lines, $keep_keys)
{
    // Set your CSV feed
    $feed = "https://docs.google.com/spreadsheet/pub?hl=en_US&hl=en_US&key=$key&single=true&gid=0&output=csv";
    
    // Arrays we'll use later
    $keys = array();
    $newArray = array();
            
    if (($handle = fopen($feed, 'r')) !== FALSE)
    {
        $i = 0;
        while (($lineArray = fgetcsv($handle, 4000, ',', '"')) !== FALSE && $lines >= $i)
        {
            for ($j = 0; $j < count($lineArray); $j ++)
            {
                $data[$i][$j] = $lineArray[$j];
            }
            $i ++;
        }
        fclose($handle);
    }
    else
     return -1;
    
    if ($keep_keys)
    {
        // Set number of elements (minus 1 because we shift off the first row)
        $count = count($data) - 1;
        
        // Use first row for names
        $labels = array_shift($data);
        
        $i = 0;
        foreach ($labels as $label)
        {
            if ($label == null)
                $label = $i;
            $keys[] = $label;
            $i ++;
        }
        
        // Bring it all together
        for ($j = 0; $j < $count; $j ++)
        {
            $d = array_combine($keys, $data[$j]);
            $newArray[$j] = $d;
        }
        //reshuffle row-data to columns
        for ($i = 0; $i < count($keys); $i ++)
               $columns[$keys[$i]] = array_column($newArray, $keys[$i]);

    }
    else
    {
        for ($i=0; $i<count($data[0]); $i++)
            $columns[$i] = array_column($data, $i);
    }
    
    foreach ($columns as $key => $values)
    {
        foreach ($values as $key2 => $value)
         if (is_numeric($value))
         {
             settype($value, "double");
             $columns[$key][$key2] = $value;
         }
    }
    
    var_dump($columns);
    return $columns;
}
?>


        